<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LO21: Generateur Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LO21
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">automates</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_generateur-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Generateur Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe qui remplit les cellules de l'etat de depart selon differents modes possibles (aleatoire, symetrique)  
 <a href="class_generateur.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="automate_manager_8h_source.html">automateManager.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac2bc6463acd0e0a27f2e839b3fdca0ea"><td class="memItemLeft" align="right" valign="top"><a id="ac2bc6463acd0e0a27f2e839b3fdca0ea"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>genererEtatAleatoire</b> (<a class="el" href="class_etat2_d.html">Etat2D</a> &amp;E)</td></tr>
<tr class="separator:ac2bc6463acd0e0a27f2e839b3fdca0ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17bc6424a4cec425a83e9675093ca023"><td class="memItemLeft" align="right" valign="top"><a id="a17bc6424a4cec425a83e9675093ca023"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>genererEtatSymetrique</b> (<a class="el" href="class_etat2_d.html">Etat2D</a> &amp;E)</td></tr>
<tr class="separator:a17bc6424a4cec425a83e9675093ca023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a0d4f0d057c58c5832ea006b4faf1ee"><td class="memItemLeft" align="right" valign="top"><a id="a5a0d4f0d057c58c5832ea006b4faf1ee"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>genererEtatAleatoire</b> (<a class="el" href="class_etat1_d.html">Etat1D</a> &amp;E)</td></tr>
<tr class="separator:a5a0d4f0d057c58c5832ea006b4faf1ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e3abf65983d10bba6cbf2583d98558b"><td class="memItemLeft" align="right" valign="top"><a id="a7e3abf65983d10bba6cbf2583d98558b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>genererEtatSymetrique</b> (<a class="el" href="class_etat1_d.html">Etat1D</a> &amp;E)</td></tr>
<tr class="separator:a7e3abf65983d10bba6cbf2583d98558b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8ae5803ff1f0477bc4c6d3b92171851"><td class="memItemLeft" align="right" valign="top"><a id="ac8ae5803ff1f0477bc4c6d3b92171851"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>genererEtatFDF</b> (<a class="el" href="class_etat2_d.html">Etat2D</a> &amp;E, float p)</td></tr>
<tr class="separator:ac8ae5803ff1f0477bc4c6d3b92171851"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe qui remplit les cellules de l'etat de depart selon differents modes possibles (aleatoire, symetrique) </p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="automate_manager_8h_source.html">automateManager.h</a></li>
<li>automateManager.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
